<?php get_header(); ?>

	<div id="content" class="narrowcolumn">

		<?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle">Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Blog Archives</h2>
 	  <?php } ?>

		<?php while (have_posts()) : the_post(); ?>
		<div class="post">
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="永久链接地址: <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
				<p class="postmetadata">
<span class="postcats"><?php the_category(', ') ?></span>
<span class="posttime"><?php the_time('Y-m-d') ?><!-- <?php the_time('H:i:s') ?> --></span>
<span class="postauthor"><?php the_author() ?></span>
<?php if(function_exists('the_views')) : ?><span class="postviews"><?php the_views(); ?></span><?php endif; ?>
<span class="postcomment"><?php comments_popup_link('抢楼', '1楼有人', '%楼有人'); ?></span></p>

				<div class="entry">
					<?php the_excerpt('查看全文 &raquo;'); ?>
				</div>

				<p class="postmetadata"><span class="posttags"><?php the_tags('', ', ', ''); ?></span><?php edit_post_link('编辑', '', ''); ?></p>

			</div>

		<?php endwhile; ?>

	<?php if (function_exists('wp_pagenavi')) : ?>
		<div class="navigation">
			<?php wp_pagenavi(); ?>
		</div>
	<?php else : ?>	
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>
	<?php endif; ?>

	<div class="ggad"><?php include (TEMPLATEPATH . '/ad_468x15.php'); ?></div>

	<?php else : ?>

		<h2 class="center">没有找到, 试试搜索Google吧</h2>
		<?php include (TEMPLATEPATH . "/ad_search.php"); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
