<?php get_header(); ?>

	<div id="content" class="narrowcolumn">

	<?php if (have_posts()) : ?>

		<h2 class="pagetitle">搜索结果</h2>

		<?php while (have_posts()) : the_post(); ?>

			<div class="post">
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="永久链接地址: <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
				<p class="postmetadata">
<span class="postcats"><?php the_category(', ') ?></span>
<span class="posttime"><?php the_time('Y-m-d') ?><!-- <?php the_time('H:i:s') ?> --></span>
<span class="postauthor"><?php the_author() ?></span>
<?php if(function_exists('the_views')) : ?><span class="postviews"><?php the_views(); ?></span><?php endif; ?>
<span class="postcomment"><?php comments_popup_link('抢楼', '1楼有人', '%楼有人'); ?></span></p>

				<div class="entry">
					<?php the_excerpt('查看全文 &raquo;'); ?>
				</div>

				<p class="postmetadata"><span class="posttags"><?php the_tags('', ', ', ''); ?></span><?php edit_post_link('编辑', '', ''); ?></p>
			</div>

		<?php endwhile; ?>

	<?php if (function_exists('wp_pagenavi')) : ?>
		<div class="navigation">
			<?php wp_pagenavi(); ?>
		</div>
	<?php else : ?>	
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>
	<?php endif; ?>

	<div class="ggad"><?php include (TEMPLATEPATH . '/ad_468x15.php'); ?></div>

	<?php else : ?>

		<h2 class="center">没有找到, 试试搜索Google吧</h2>
		<?php include (TEMPLATEPATH . "/ad_search.php"); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>