<?php get_header(); ?>

	<div id="content" class="narrowcolumn">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="post" id="post-<?php the_ID(); ?>">
			<h2><?php the_title(); ?></h2>

			<p class="postmetadata">
				<span class="postcats"><?php the_category(', ') ?></span>
				<span class="posttime"><?php the_time('Y-m-d') ?><!-- <?php the_time('H:i:s') ?> --></span>
				<span class="postauthor"><?php the_author() ?></span>
				<?php if(function_exists('the_views')) : ?><span class="postviews"><?php the_views(); ?></span><?php endif; ?>
				<?php edit_post_link('编辑',' | ',''); ?>
			</p>

			<div class="entry">
				<?php the_content('<p class="serif">阅读全文 &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p><strong>页面: </strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			</div>

			<p class="postmetadata">
				<span class="posttags"><?php the_tags('', ', ', ''); ?></span>
			</p>

			<div class="ggad"><?php include (TEMPLATEPATH . '/ad_468x15.php'); ?></div>

		<?php if (function_exists('bookmark_share')) { ?>
			<div class="bookmark_share"><?php bookmark_share();?></div>
		<?php } ?>

		<?php if (function_exists('wp_related_posts')) { ?>
			<div id="related_post"><?php wp_related_posts(); ?></div>
		<?php } ?>

			<p class="postmetadata tbrss">
				<span class="postfeed"><?php post_comments_feed_link('RSS 2.0'); 
?></span>
				<?php if ('open' == $post->ping_status) { ?>
				<span class="posttb"><a href="<?php trackback_url(); ?>" rel="trackback">Trackback</a></span>
				<?php } ?>
				<span class="postpermalink">本文链接: <a href="<?php the_permalink() ?>" rel="bookmark" title="永久链接地址: <?php the_title_attribute(); ?>"><?php the_permalink() ?></a></span>
			</p>
		</div>

		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('%link') ?></div>
			<div class="alignright"><?php next_post_link('%link') ?></div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p>没有找到符合要求的文章。</p>

<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>